#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from configuration import CONFIG
from gestion_erreurs import * 

##################### outils pour affichage et choix de l'unité

def choix_unite(maxi):
    """ en fonction de l'âge maxi, on choisit une unité pertinente : jours, mois, année"""
    if maxi<40:
        return "jours"
    elif maxi <100:
        return "semaines"
    elif maxi<25*CONFIG["jours_dans_mois"]:
        return "mois"
    else:
        return "années"
    
def convertitunite(jours,unite,liste_err):
    """ convertit des jours à l'unité voulue
    renvoie des float"""
    if unite=="jours":
        return jours
    elif unite=="mois":
        return jours/CONFIG["jours_dans_mois"]
    elif unite=="années":
        return jours/CONFIG["jours_dans_annee"]
    elif unite=="semaines":
        return jours/CONFIG["jours_dans_semaine"]
    else:
        warning("erreur sur l'unité : "+unite+" On laisse en jours",liste_err)
        return jours

def convertit_tableau(tableau,unite,liste_err):
    """ convertit un tableau de jours en une autre unité.
    Renvoie le nouveau tableau"""
    return [convertitunite(elt,unite,liste_err) for elt in tableau]